# Uses of Interface
org.jmol.util.Node

Packages that use Node
Package
Description
org.jmol.api
org.jmol.modelset
org.jmol.smiles
Jmol SMILES, Jmol SMARTS, Jmol bioSMILES, and Jmol bioSMARTS
org.jmol.util
org.jmol.viewer

## Uses of Node in org.jmol.api

Methods in org.jmol.api that return Node
Modifier and Type
Method
Description
`Node[]`
SmilesMatcherInterface.`getAtoms(Object target)`
Methods in org.jmol.api with parameters of type Node
Modifier and Type
Method
Description
`Object`
SmilesMatcherInterface.`compileSearchTarget(Node[] atoms, int atomCount, BS bitSet)`
`int[][]`
SmilesMatcherInterface.`getCorrelationMaps(Object pattern, Node[] atoms, int ac, BS bsSelected, int flags)`
`void`
SmilesMatcherInterface.`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> bitSets, Lst<BS>[] vRings)`
`String`
SmilesMatcherInterface.`getSmiles(Node[] atoms, int ac, BS bsSelected, String bioComment, int flags)`
`BS[]`
SmilesMatcherInterface.`getSubstructureSetArray(Object pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
`String`
SmilesMatcherInterface.`polyhedronToSmiles(Node center, int[][] faces, int atomCount, P3[] points, int flags, String details)`

## Uses of Node in org.jmol.modelset

Classes in org.jmol.modelset that implement Node
Modifier and Type
Class
Description
`class`
`Atom`
Methods in org.jmol.modelset with parameters of type Node
Modifier and Type
Method
Description
`boolean`
Atom.`isCrossLinked(Node node)`

## Uses of Node in org.jmol.smiles

Classes in org.jmol.smiles that implement Node
Modifier and Type
Class
Description
`class`
`SmilesAtom`
This class represents an atom in a `SmilesMolecule`.
Methods in org.jmol.smiles that return Node
Modifier and Type
Method
Description
`Node[]`
SmilesStereo.`getAlleneAtoms(boolean haveTopo, SmilesAtom sAtom0, SmilesAtom pAtom, SmilesAtom pAtom1)`
`Node[]`
SmilesMatcher.`getAtoms(Object target)`
`Node`
SmilesAtom.`getMatchingAtom()`
Returns the matching atom or null.
Methods in org.jmol.smiles with parameters of type Node
Modifier and Type
Method
Description
`Object`
SmilesMatcher.`compileSearchTarget(Node[] atoms, int atomCount, BS bsSelected)`
`static int`
SmilesStereo.`getAtropicStereoFlag(Node[] nodes)`
`String`
SmilesMatcher.`getAtropisomerKeys(String pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
called by SmilesParser to get nn in ^nn- base on match to actual structure
`int[][]`
SmilesMatcher.`getCorrelationMaps(Object pattern, Node[] atoms, int atomCount, BS bsSelected, int flags)`
Rather than returning bitsets, this method returns the sets of matching atoms in array form so that a direct atom-atom correlation can be made.
`void`
SmilesMatcher.`getMMFF94AtomTypes(String[] smarts, Node[] atoms, int ac, BS bsSelected, Lst<BS> ret, Lst<BS>[] vRings)`
called by ForceFieldMMFF.setAtomTypes only
`String`
SmilesMatcher.`getSmiles(Node[] atoms, int ac, BS bsSelected, String bioComment, int flags)`
internal to Jmol -- called by org.jmol.Viewer.getSmiles
`BS[]`
SmilesMatcher.`getSubstructureSetArray(Object pattern, Node[] atoms, int ac, BS bsSelected, BS bsAromatic, int flags)`
Returns a vector of bitsets indicating which atoms match the pattern.
`boolean`
SmilesAtom.`isCrossLinked(Node node)`
`String`
SmilesMatcher.`polyhedronToSmiles(Node center, int[][] faces, int atomCount, P3[] points, int flags, String details)`
Generate a topological SMILES string from a set of faces
`void`
SmilesSearch.SmilesTarget.`setAtoms(Node[] atoms, int ac, BS bs)`
`void`
SmilesAtom.`setMatchingAtom(Node jmolAtom, int index)`
Sets the number of a matching atom in a molecule.
`boolean`
SmilesStereo.`setTopoCoordinates(SmilesAtom sAtom0, SmilesAtom pAtom, SmilesAtom sAtom2, Node[] cAtoms, boolean isNot)`

## Uses of Node in org.jmol.util

Fields in org.jmol.util declared as Node
Modifier and Type
Field
Description
`Node[]`
JmolMolecule.`nodes`
Methods in org.jmol.util that return Node
Modifier and Type
Method
Description
`static Node`
Edge.`getAtropismNode(int order, Node a1, boolean isFirst)`
Methods in org.jmol.util with parameters of type Node
Modifier and Type
Method
Description
`static final JmolMolecule[]`
JmolMolecule.`addMolecule(JmolMolecule[] molecules, int iMolecule, Node[] atoms, int iAtom, BS bsBranch, int modelIndex, int indexInModel, BS bsExclude)`
`static Node`
Edge.`getAtropismNode(int order, Node a1, boolean isFirst)`
`static BS`
JmolMolecule.`getBranchBitSet(Node[] atoms, int atomIndex, BS bsToTest, Lst<BS> biobranches, int atomIndexNot, boolean allowCyclic, boolean allowBioResidue)`
given a set of atoms, a subset of atoms to test, two atoms that start the branch, and whether or not to allow the branch to cycle back on itself, deliver the set of atoms constituting this branch.
`static BS`
JmolMolecule.`getBranchesForInversion(Node[] at, int atomIndex, BS bsToTest)`
`static String`
JmolMolecule.`getMolecularFormulaAtoms(Node[] atoms, BS bsSelected, float[] wts, boolean isEmpirical)`
`static final JmolMolecule[]`
JmolMolecule.`getMolecules(Node[] atoms, BS[] bsModelAtoms, Lst<BS> biobranches, BS bsExclude)`
Creates an array of JmolMolecules from a set of atoms in the form of simple JmolNodes.
`boolean`
Node.`isCrossLinked(Node node)`

## Uses of Node in org.jmol.viewer

Methods in org.jmol.viewer that return Node
Modifier and Type
Method
Description
`Node[]`
Viewer.`getSmilesAtoms(String smiles)`
Methods in org.jmol.viewer with parameters of type Node
Modifier and Type
Method
Description
`BS`
Viewer.`getSmartsMatchForNodes(String smarts, Node[] atoms)`
`BS[]`
Viewer.`getSubstructureSetArrayForNodes(Object pattern, Node[] nodes, int flags)`